Bug 176616 - [Maintainer Update] devel/py-robotframework-ride to version 1.1
Summary: [Maintainer Update] devel/py-robotframework-ride to version 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-03 16:10 UTC by vladimir.chukharev
Modified: 2013-10-10 11:40 UTC (History)
0 users

See Also:


Attachments
file.diff (3.61 KB, patch)
2013-03-03 16:10 UTC, vladimir.chukharev
no flags Details | Diff
py-robotframework-ride_update_1.1to1.2.1.patch.txt (3.23 KB, text/plain)
2013-10-10 11:16 UTC, Vladimir Chukharev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description vladimir.chukharev 2013-03-03 16:10:00 UTC
2013-02-20 RIDE 1.1 released.
Update the port. While I'm here, remove redundancy from pkg-descr.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-03 16:10:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-03-03 16:15:20 UTC
Responsible Changed
From-To: freebsd-python->culot

I'll take it.
Comment 3 Frederic Culot freebsd_committer 2013-03-05 20:22:59 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-05 20:23:08 UTC
Author: culot
Date: Tue Mar  5 20:22:46 2013
New Revision: 313477
URL: http://svnweb.freebsd.org/changeset/ports/313477

Log:
  - Update to 1.1
  
  Changes:        https://github.com/robotframework/RIDE/wiki/Release-notes#wiki-ride-1-1
  PR:             ports/176616
  Submitted by:   Vladimir Chukharev <Vladimir.Chukharev@gmail.com> (maintainer)

Modified:
  head/devel/py-robotframework-ride/Makefile
  head/devel/py-robotframework-ride/distinfo
  head/devel/py-robotframework-ride/pkg-descr
  head/devel/py-robotframework-ride/pkg-plist

Modified: head/devel/py-robotframework-ride/Makefile
==============================================================================
--- head/devel/py-robotframework-ride/Makefile	Tue Mar  5 20:22:02 2013	(r313476)
+++ head/devel/py-robotframework-ride/Makefile	Tue Mar  5 20:22:46 2013	(r313477)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	robotframework-ride
-PORTVERSION=	1.0.1
+PORTVERSION=	1.1
 CATEGORIES=	devel www python
 MASTER_SITES=	GOOGLE_CODE
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}

Modified: head/devel/py-robotframework-ride/distinfo
==============================================================================
--- head/devel/py-robotframework-ride/distinfo	Tue Mar  5 20:22:02 2013	(r313476)
+++ head/devel/py-robotframework-ride/distinfo	Tue Mar  5 20:22:46 2013	(r313477)
@@ -1,2 +1,2 @@
-SHA256 (robotframework-ride-1.0.1.tar.gz) = 6927457243932d44e6af5ebdcb778bd4a3f083ec1685d916e2ab5930bbaec791
-SIZE (robotframework-ride-1.0.1.tar.gz) = 811488
+SHA256 (robotframework-ride-1.1.tar.gz) = 5e4f3ecaba03d520db6eacf99108732b12157a66cc94cd99475d5d879f94bd1b
+SIZE (robotframework-ride-1.1.tar.gz) = 823907

Modified: head/devel/py-robotframework-ride/pkg-descr
==============================================================================
--- head/devel/py-robotframework-ride/pkg-descr	Tue Mar  5 20:22:02 2013	(r313476)
+++ head/devel/py-robotframework-ride/pkg-descr	Tue Mar  5 20:22:46 2013	(r313477)
@@ -1,3 +1,3 @@
-RIDE is a test data editor for Robot Framework test data.
+Test data editor for Robot Framework test data.
 
 WWW: https://github.com/robotframework/RIDE/wiki

Modified: head/devel/py-robotframework-ride/pkg-plist
==============================================================================
--- head/devel/py-robotframework-ride/pkg-plist	Tue Mar  5 20:22:02 2013	(r313476)
+++ head/devel/py-robotframework-ride/pkg-plist	Tue Mar  5 20:22:46 2013	(r313477)
@@ -3,6 +3,7 @@ bin/ride_postinstall.py
 %%PYTHON_SITELIBDIR%%/%%PORTNAME%%-%%PORTVERSION%%-py%%PYTHON_VER%%.egg-info/PKG-INFO
 %%PYTHON_SITELIBDIR%%/%%PORTNAME%%-%%PORTVERSION%%-py%%PYTHON_VER%%.egg-info/SOURCES.txt
 %%PYTHON_SITELIBDIR%%/%%PORTNAME%%-%%PORTVERSION%%-py%%PYTHON_VER%%.egg-info/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PORTNAME%%-%%PORTVERSION%%-py%%PYTHON_VER%%.egg-info/requires.txt
 %%PYTHON_SITELIBDIR%%/%%PORTNAME%%-%%PORTVERSION%%-py%%PYTHON_VER%%.egg-info/top_level.txt
 %%PYTHON_SITELIBDIR%%/robotide/__init__.py
 %%PYTHON_SITELIBDIR%%/robotide/__init__.pyc
@@ -172,6 +173,9 @@ bin/ride_postinstall.py
 %%PYTHON_SITELIBDIR%%/robotide/editor/popupwindow.py
 %%PYTHON_SITELIBDIR%%/robotide/editor/popupwindow.pyc
 %%PYTHON_SITELIBDIR%%/robotide/editor/popupwindow.pyo
+%%PYTHON_SITELIBDIR%%/robotide/editor/robotframeworklexer.py
+%%PYTHON_SITELIBDIR%%/robotide/editor/robotframeworklexer.pyc
+%%PYTHON_SITELIBDIR%%/robotide/editor/robotframeworklexer.pyo
 %%PYTHON_SITELIBDIR%%/robotide/editor/settingeditors.py
 %%PYTHON_SITELIBDIR%%/robotide/editor/settingeditors.pyc
 %%PYTHON_SITELIBDIR%%/robotide/editor/settingeditors.pyo
@@ -902,6 +906,9 @@ bin/ride_postinstall.py
 %%PYTHON_SITELIBDIR%%/robotide/ui/searchdots.py
 %%PYTHON_SITELIBDIR%%/robotide/ui/searchdots.pyc
 %%PYTHON_SITELIBDIR%%/robotide/ui/searchdots.pyo
+%%PYTHON_SITELIBDIR%%/robotide/ui/tagdialogs.py
+%%PYTHON_SITELIBDIR%%/robotide/ui/tagdialogs.pyc
+%%PYTHON_SITELIBDIR%%/robotide/ui/tagdialogs.pyo
 %%PYTHON_SITELIBDIR%%/robotide/ui/tree.py
 %%PYTHON_SITELIBDIR%%/robotide/ui/tree.pyc
 %%PYTHON_SITELIBDIR%%/robotide/ui/tree.pyo
@@ -953,6 +960,8 @@ bin/ride_postinstall.py
 %%PYTHON_SITELIBDIR%%/robotide/widgets/button.pyc
 %%PYTHON_SITELIBDIR%%/robotide/widgets/button.pyo
 %%PYTHON_SITELIBDIR%%/robotide/widgets/cog.png
+%%PYTHON_SITELIBDIR%%/robotide/widgets/control_fastforward.png
+%%PYTHON_SITELIBDIR%%/robotide/widgets/control_pause.png
 %%PYTHON_SITELIBDIR%%/robotide/widgets/control_play.png
 %%PYTHON_SITELIBDIR%%/robotide/widgets/control_stop.png
 %%PYTHON_SITELIBDIR%%/robotide/widgets/database_refresh.png
@@ -996,6 +1005,7 @@ bin/ride_postinstall.py
 %%PYTHON_SITELIBDIR%%/robotide/widgets/sizers.py
 %%PYTHON_SITELIBDIR%%/robotide/widgets/sizers.pyc
 %%PYTHON_SITELIBDIR%%/robotide/widgets/sizers.pyo
+%%PYTHON_SITELIBDIR%%/robotide/widgets/switch.png
 %%PYTHON_SITELIBDIR%%/robotide/widgets/test_search.png
 %%PYTHON_SITELIBDIR%%/robotide/widgets/test_search_button.png
 %%PYTHON_SITELIBDIR%%/robotide/widgets/text.py
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Vladimir Chukharev 2013-10-10 11:16:54 UTC
It's better now to update directly from 1.1 to 1.2.1, see patch.

-- 
Vladimir Chukharev